function res = test_finiteSignal_finiteSignal
% test_finiteSignal_finiteSignal - unit test function for constructor
%
% Syntax:
%    res = test_finiteSignal_finiteSignal
%
% Inputs:
%    -
%
% Outputs:
%    res - boolean
%
% Other m-files required: none
% Subfunctions: none
% MAT-files required: none
%
% See also: -

% Authors:       Benedikt Seidl
% Written:       12-May-2023
% Last update:   08-February-2024 (FL, rename from signal to finiteSignal)
% Last revision: ---

% ------------------------------ BEGIN CODE -------------------------------

res = true;

try
    s = finiteSignal([-1 3 4], [true false true]);
    res = false;
end

try
    s = finiteSignal([], true);
    res = false;
end

try
    s = finiteSignal(1, []);
    res = false;
end

try
    s = finiteSignal([1 2 3], [true false]);
    res = false;
end

try
    s = finiteSignal([3 2 1], [true false true]);
    res = false;
end

try
    s = finiteSignal([1 2 2 3], [true false true false]);
    res = false;
end

% ------------------------------ END OF CODE ------------------------------
